petsc-3.10.5 2019-03-28
Report Typos and Errors

# DMSNESSetJacobianLocal

set a local Jacobian evaluation function

### Synopsis

    #include "petscsnes.h"
    PetscErrorCode DMSNESSetJacobianLocal(DM dm,PetscErrorCode (*func)(DM,Vec,Mat,Mat,void*),void *ctx)

Logically Collective

### Input Arguments

| dm | - DM to associate callback with
| func | - local Jacobian evaluation
| ctx | - optional context for local Jacobian evaluation

### See Also

DMSNESSetJacobian(), DMDASNESSetJacobian(), DMDACreate1d(), DMDACreate2d(), DMDACreate3d()

### Level

beginner

### Location

src/snes/utils/dmlocalsnes.c
Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages